Bug 510843 - Review Request: samtools - Tools for nucleotide sequence alignments in the SAM format
Review Request: samtools - Tools for nucleotide sequence alignments in the SA...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
: 538420 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 10:20 EDT by Rasmus Ory Nielsen
Modified: 2015-05-29 21:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-15 07:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rasmus Ory Nielsen 2009-07-11 10:20:41 EDT
Spec URL: http://ron.fedorapeople.org/samtools.spec
SRPM URL: http://ron.fedorapeople.org/samtools-0.1.5c-1.fc11.src.rpm
Description:
SAM (Sequence Alignment/Map) is a flexible generic format for storing
nucleotide sequence alignment. SAM tools provide efficient utilities on
manipulating alignments in the SAM format.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1467349
Comment 1 Jason Tibbitts 2009-07-11 11:28:39 EDT
Builds fine and rpmlint is silent.

The compiler is not called with the proper set of flags.  You will need to find some way to pass %{optflags} to the makefile.  Sometimes setting CFLAGS does it, but sometimes you have to patch the Makefile.  At least -g is passed to the compiler so the debuginfo package isn't broken.

I would suggest packaging the manpage as a manpage instead of leaving it with the rest of the documentation.

Please consider using install -p to preserve the timestanps on the scripts you install.

* source files match upstream.  sha256sum:              
   54949e99009f8f4484609b136e46439ebaa54bc9760a35f10c714e169a36f9e3
   samtools-0.1.5c.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
X compiler flags are not correct.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   samtools = 0.1.5c-1.fc12
   samtools(x86-64) = 0.1.5c-1.fc12
  =
   /usr/bin/perl
   libncurses.so.5()(64bit)
   libtinfo.so.5()(64bit)
   libz.so.1()(64bit)
   perl(Data::Dumper)
   perl(Getopt::Std)
   perl(strict)
   perl(warnings)

* %check is not present; no test suite upstream.  I've no idea how to test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Rasmus Ory Nielsen 2009-07-11 13:32:00 EDT
Thank you for your quick response.

Here's the updated files with all your recommendations:
Spec URL: http://ron.fedorapeople.org/samtools.spec
SRPM URL: http://ron.fedorapeople.org/samtools-0.1.5c-2.fc10.src.rpm

Updated scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1467848
Comment 3 Jason Tibbitts 2009-07-11 14:48:23 EDT
Looks good, thanks.

APPROVED
Comment 4 Rasmus Ory Nielsen 2009-07-11 17:01:29 EDT
New Package CVS Request
=======================
Package Name: samtools
Short Description: Tools for nucleotide sequence alignments in the SAM format
Owners: ron
Branches: F-10 F-11
Comment 5 Jason Tibbitts 2009-07-12 12:58:27 EDT
CVS done.
Comment 6 Rasmus Ory Nielsen 2009-07-12 16:40:09 EDT
Checked in and built on devel, F-10, F-11.
Thanks for the review.

I'm amazed by the speed you have reviewed my last two packages.
This is my third package, and now I would like to get started with reviewing packages myself. Is it possible that you could supervise my first one or two reviews?
Comment 7 Jason Tibbitts 2009-07-12 16:53:41 EDT
If you'd like to do reviews then you're quite welcome to either ping me on IRC with bug numbers or email me whenever you'd like for me to have a look.
Comment 8 Rasmus Ory Nielsen 2009-07-13 02:28:46 EDT
Thanks.
Comment 9 Rasmus Ory Nielsen 2009-11-20 04:14:09 EST
*** Bug 538420 has been marked as a duplicate of this bug. ***
Comment 10 Adam Huffman 2010-06-06 08:06:30 EDT
Package Change Request
======================
Package Name: samtools
New Branches: EL-5
Owners: ron

I would like to maintain an EPEL5 branch for this package.  I have also applied for co-maintainership of samtools in Fedora, in case that's relevant (as suggested by Rasmus).
Comment 11 Rasmus Ory Nielsen 2010-06-06 14:12:43 EDT
(In reply to comment #10)
> Owners: ron

Didn't you mean 'Owners: verdurin' here?
Comment 12 Adam Huffman 2010-06-07 03:56:03 EDT
Yes, sorry, I misread the template as meaning the current owner:

Package Change Request
======================
Package Name: samtools
New Branches: EL-5
Owners: verdurin
Comment 13 Kevin Fenzi 2010-06-07 16:49:09 EDT
cvs done. 

Do you also want a EL-6 package? Please add another request for that if you do.
Comment 14 Adam Huffman 2010-06-07 18:50:29 EDT
Package Change Request
======================
Package Name: samtools
New Branches: EL-6
Owners: verdurin
Comment 15 Kevin Fenzi 2010-06-11 00:45:52 EDT
cvs done.
Comment 16 Adam Huffman 2015-05-29 17:45:26 EDT
Package Change Request
======================
Package Name: samtools
New Branches: EL-7
Owners: verdurin
Comment 17 Gwyn Ciesla 2015-05-29 21:21:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.